MP4(3)

NAME

MP4SetTrackESConfiguration - Set the elementary stream (ES) configuration of a track

SYNTAX

#include <mp4.h>

bool MP4SetTrackESConfiguration(
    MP4FileHandle hFile,
    MP4TrackId trackId
    const u_int8_t* pConfig,
    u_int32_t configSize
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track to which the operation applies.

pConfig
    Specifies a pointer to the ES configuration information.

configSize
    Specifies the size of the ES configuration information.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4SetTrackESConfiguration sets the elementary stream (ES) configuration of the specified track in the mp4 file. This information is codec specific and contains the configuration necessary for the given codec to decode the samples in the track.

SEE ALSO

MP4(3)